Subject: Re: [PATCH 00/15] Swap-over-NBD without deadlocking V8

From: Mel Gorman <[email-masked]>
Date: Wed, 8 Feb 2012 15:26:46 +0000

On Wed, Feb 08, 2012 at 08:51:11PM +0800, Hillf Danton wrote:
> On Tue, Feb 7, 2012 at 9:27 PM, Mel Gorman <[email-masked]> wrote:
> > On Tue, Feb 07, 2012 at 08:45:18PM +0800, Hillf Danton wrote:
> >> If it is feasible to bypass hang by tuning min_mem_kbytes,
> >
> > No. Increasing or descreasing min_free_kbytes changes the timing but it
> > will still hang.
> >
> >> things may
> >> become simpler if NICs are also tagged.
> >
> > That would mean making changes to every driver and they do not necessarily
> > know what higher level protocol like TCP they are transmitting. How is
> > that simpler? What is the benefit?
> >
> The benefit is to avoid allocating sock buffer in softirq by recycling,
> then the changes in VM core maybe less.
> 

The VM is responsible for swapping. It's reasonable that the core
VM has responsibility for it without trying to shove complexity into
drivers or elsewhere unnecessarily. I see some benefit in following on
by recycling some skbs and only allocating from softirq if no recycled
skbs are available.  That potentially improves performance but I do not
recycling as a replacement.

-- 
Mel Gorman
SUSE Labs

--
To unsubscribe, send a message with 'unsubscribe linux-mm' in
the body to [email-masked].  For more info on Linux MM,
see: http://www.linux-mm.org/ .
Fight unfair telecom internet charges in Canada: sign http://stopthemeter.ca/
Don't email: <a href=mailto:"[email-masked]"> [email-masked] </a>